> This page is for API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eon.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eon.io/_mcp/server.

# Update Object-Store Scan Method

PATCH https://%7Baccount-domain%7D.console.eon.io/api/v1/projects/{projectId}/resources/{id}/object-store-scan-method
Content-Type: application/json

Updates the scan mode and change detection mode for an Amazon S3 bucket or Google Cloud Storage bucket.


Reference: https://docs.eon.io/api/api-reference/resources/object-store-scan-methods/update-object-store-scan-method

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectId` (string, required) — ID of the project the resource is in. You can get your project ID from the [API Credentials](https://console.eon.io/global-management/api-credentials) page in your global management console.
- `id` (string, required) — Eon-assigned ID of the Amazon S3 bucket or Google Cloud Storage bucket to update.

### Body (application/json)

This endpoint expects an UpdateObjectStoreScanMethodRequest.

- `cdcBackup` (UpdateObjectStoreScanMethodSetting, optional) — Change detection mode, which determines how Eon detects changes between backups. When enabled, Eon uses bucket event notifications to detect changes, which allows more frequent backups. Otherwise, Eon detects changes only through periodic full bucket scans.
- `inventoryBackup` (UpdateObjectStoreScanMethodSetting, optional) — Scan mode, which determines how Eon retrieves the list of a bucket's objects and their metadata. When enabled, Eon uses an inventory report of the bucket's objects, a faster and more cost-effective way to list objects in buckets with a very large number of objects. Otherwise, Eon lists the objects directly, which suits buckets with fewer objects.

## Response

### 200

Settings updated.

- `objectStoreScanMethod` (ObjectStoreScanMethod, required) — Scan mode and change detection mode settings for the resource.

## Errors

### 400 Bad Request Error

Invalid request. Typically this indicates an invalid request body or parameters, or an unsupported resource type.

- `any`

### 403 Forbidden Error

Insufficient permissions to update the requested settings.

- `any`

### 404 Not Found Error

Project or resource wasn't found.

- `any`

## Types

### UpdateObjectStoreScanMethodSetting

- `systemControlled` (boolean, required) — Whether Eon manages this mode. When `true`, Eon automatically determines whether the mode is enabled.
- `enabled` (boolean, optional, nullable) — Whether to enable this mode. Required when `systemControlled` is `false`. Ignored when `systemControlled` is `true`.

### ObjectStoreScanMethod

Scan mode and change detection mode settings.

- `cdcBackup` (ObjectStoreScanMethodSetting, required) — Change detection mode, which determines how Eon detects changes between backups. When enabled, Eon uses bucket event notifications to detect changes, which allows more frequent backups. Otherwise, Eon detects changes only through periodic full bucket scans.
- `inventoryBackup` (ObjectStoreScanMethodSetting, required) — Scan mode, which determines how Eon retrieves the list of a bucket's objects and their metadata. When enabled, Eon uses an inventory report of the bucket's objects, a faster and more cost-effective way to list objects in buckets with a very large number of objects. Otherwise, Eon lists the objects directly, which suits buckets with fewer objects.

### ObjectStoreScanMethodSetting

- `enabled` (boolean, required) — Whether this mode is currently enabled.
- `systemControlled` (boolean, required) — Whether Eon automatically manages this mode.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "objectStoreScanMethod": {
    "cdcBackup": {
      "enabled": true,
      "systemControlled": false
    },
    "inventoryBackup": {
      "enabled": true,
      "systemControlled": false
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://{account-domain}.console.eon.io/api/v1/projects/1ee34dc5-0a7c-4e56-a820-917371e05c8d/resources/043090df-9fe5-4f89-9859-45db589c2936/object-store-scan-method"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{account-domain}.console.eon.io/api/v1/projects/1ee34dc5-0a7c-4e56-a820-917371e05c8d/resources/043090df-9fe5-4f89-9859-45db589c2936/object-store-scan-method';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://{account-domain}.console.eon.io/api/v1/projects/1ee34dc5-0a7c-4e56-a820-917371e05c8d/resources/043090df-9fe5-4f89-9859-45db589c2936/object-store-scan-method")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```